//------------------------------------------------------------
#ifndef _RODOS4_H_
#define _RODOS4_H_
//------------------------------------------------------------
#include "usb.h"
#include <utility>
#include <inttypes.h>
//------------------------------------------------------------
#define RODOS4_MAX_CHANNEL_NUM		16
//------------------------------------------------------------
typedef struct {
    bool ChannelChange;
    uint8_t ChannelValue;
} RODOS4Cnannel;

//------------------------------------------------------------
class RODOS4_t : public usb_t
{
public:
    RODOS4_t (uint16_t VID, uint16_t PID) : usb_t(VID, PID) { }
    RODOS4_t (char *path) : usb_t(path) { }
    ~RODOS4_t (){}
//-----------
private:
    bool USB_RCCP_WR(uint8_t N, uint8_t REG,  uint8_t COM,  uint16_t CMD,  uint16_t PRG);
    bool USB_RCCP_RD(uint8_t N, uint8_t *REG, uint8_t *COM, uint16_t *CMD, uint16_t *PRG);
public:
    bool SET_CHANNEL_PWM(uint8_t ChannelNumber, uint8_t ChannelValue);
};
//------------------------------------------------------------
#endif  // _RODOS4_H_
//------------------------------------------------------------
